Retrieve a quote
curl --request GET \
--url https://your-kordless-instance.com/v1/quotes/{quoteIntentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://your-kordless-instance.com/v1/quotes/{quoteIntentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://your-kordless-instance.com/v1/quotes/{quoteIntentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"intent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bookId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bookVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"idempotencyKey": "<string>",
"requestCorrelationId": "<string>",
"inputs": {
"offeringId": "<string>",
"factors": {}
},
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
},
"receipt": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quoteIntentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bookVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"computation": {
"currency": "<string>",
"lineItems": [
{
"label": "<string>",
"amountMinor": 123,
"ruleId": "<string>"
}
],
"totalMinor": 1,
"paymentTerms": {
"depositBasisPoints": 5000,
"depositMinor": 1,
"balanceDueMinor": 1
},
"conditions": [
"<string>"
],
"derivation": [
{
"sequence": 1,
"ruleId": "<string>",
"ruleType": "<string>",
"reason": "<string>",
"deltaMinor": 123,
"runningTotalMinor": 1
}
]
},
"missingInputs": [
"<string>"
],
"failure": {
"code": "<string>",
"message": "<string>"
},
"idempotencyKey": "<string>",
"requestCorrelationId": "<string>",
"latencyMs": 1,
"createdAt": "2023-11-07T05:31:56Z"
}
},
"requestId": "<string>"
}{
"error": {
"code": "invalid_api_key",
"message": "A valid API key is required.",
"requestId": "req_9f8e7d6c"
}
}{
"error": {
"code": "quote_not_found",
"message": "The Quote Intent does not exist in this scope.",
"requestId": "req_9f8e7d6c"
}
}Quotes
Retrieve a quote
Returns the Quote Intent and Receipt for a quote created with the same API key.
GET
/
v1
/
quotes
/
{quoteIntentId}
Retrieve a quote
Authorizations
Secret API key (sk_test_… or sk_live_…). The key binds a Workspace, Project, and Environment.
Path Parameters
The Quote Intent ID.
⌘I